org.appng.core.repository

## Interface TemplateRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<Template,Integer>, org.springframework.data.jpa.repository.JpaRepository<Template,Integer>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<Template>, org.springframework.data.repository.PagingAndSortingRepository<Template,Integer>, org.springframework.data.repository.query.QueryByExampleExecutor<Template>, org.springframework.data.repository.Repository<Template,Integer>, SearchRepository<Template,Integer>

      public interface TemplateRepository
      extends SearchRepository<Template,Integer>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Template` | `findByDisplayName(String name)`
    `Template` | `findByName(String name)`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

- - ### Method Detail

    - #### findByName

          Template findByName(String name)

    - #### findByDisplayName

          Template findByDisplayName(String name)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.